Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161659 - Closing the lid on my laptop completely kills the console
Summary: Closing the lid on my laptop completely kills the console
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-25 01:53 UTC by Richard Allen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-30 08:27:09 UTC


Attachments (Terms of Use)

Description Richard Allen 2005-06-25 01:53:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I have a HP Compaq nx7010 laptop.  It has an "ATI Technologies Inc Radeon R250 Lf [Radeon Mobility 9000 M9]" card.
Under FC3 there was no problem.

If I close my laptop, the screen goes black and there is nothing I can do on the console except press the power switch.

ctrl-alt-F? does nothing. ctrl-alt-backspace does nothing either.

After rebooting, Xorg.0.log.old will typicly contain at the bottom:

(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) RADEON(0): [RESUME] Attempting to re-init Radeon hardware.
(II) RADEON(0): [agp] Mode 0x1f000207 [AGP 0x8086/0x3340; Card 0x1002/0x4c66]
Synaptics DeviceOn called
(--) Mouse1 touchpad found
(II) Mouse0: ps2EnableDataReporting: succeeded
Synaptics DeviceOff called
Synaptics DeviceOff called
(II) RADEON(0): [drm] removed 1 reserved context for kernel
(II) RADEON(0): [drm] unmapping 8192 bytes of SAREA 0xf8b82000 at 0xb3e20000




Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-37

How reproducible:
Always

Steps to Reproduce:
1. Install FC4 on a HP nx7010
2. Have X running (Runlevel 5)
3. Close the lid.
4. Open the lid and enjoy the blackness of the console :)
  

Additional info:

Comment 1 Mike A. Harris 2005-07-05 10:07:18 UTC
Attach X server log, config file, and /var/log/messages from after you
encounter this problem.

Also, disable DRI by commenting out the "Load dri" line in the config file
and try again to see if that works around the problem.

Setting status to "NEEDINFO"

Comment 2 Mike A. Harris 2005-08-30 08:27:09 UTC
Closing bug report "NOTABUG" as there is insufficient information
in the bug report currently to be able to diagnose the problem,
and there hasn't been any response to a previous query to attempt
to obtain more information.

If the problem still occurs, please report this issue to X.Org
developers by filing a bug report in the X.Org bugzilla located
at http://bugs.freedesktop.org in the "xorg" component.


Note You need to log in before you can comment on or make changes to this bug.